## cdtool 1.0-6

=== Makefile ===
#
# this makefile for cdtools, copyright 1994 thomas insel
#

# where do we install the binaries and unformatted manual pages?
prefix = /usr
bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
mandir = $(prefix)/man

# SRCS are RCS'd files
SRCS = main.c commands.c hardware.c database.c info.c cdtool.1

# OTHERS are other files that are required in a distribution package
OTHERS = Makefile cdadd.sh README COPYING config.h database.h hardware.h

# OBJS are used to build cdtool
OBJS = main.o commands.o hardware.o database.o info.o

# LINKS are different names that cdtool can be called by
LINKS = cdplay cdpause cdstop cdeject cdir cdvolume

# We seem to need GCC
CC = gcc

all: cdtool links

dist: $(SRCS) $(OTHERS)
	rm -rf ../cdtool-xx
	mkdir ../cdtool-xx
	cp $(SRCS) $(OTHERS) ../cdtool-xx

cdtool: $(OBJS)
	$(CC) -o cdtool $(OBJS)

links:
	for i in $(LINKS); do \
	    if test -h $$i; then true; else rm -f $$i; ln -s cdtool $$i; fi; \
	done

install: cdtool cdtool.1
	install -d $(bindir) -o root -m 0755
	install cdtool $(bindir) -s -o root
	install cdadd.sh $(bindir)/cdadd -o root
	install -d $(sbindir) -o root -m 0755
	install changeaudiocddev $(sbindir)/changeaudiocddev -o root
	install -d $(mandir)/man1 -o root -m 0755
	install -m 0644 cdtool.1 $(mandir)/man1
	cd $(bindir) ; \
	for i in $(LINKS); do \
		ln -s cdtool $$i; \
	done

	cd $(mandir)/man1 ; \
	for i in $(LINKS); do \
		ln -s cdtool.1 $$i.1; \
	done

uninstall: dummy
	rm -f $(mandir)/man1/cdtool.1 $(bindir)/cdtool $(bindir)/cdadd
	for i in $(LINKS); do \
		rm -f $(bindir)/$$i $(mandir)/man1/$$i.1; \
    done

dummy:

distclean: clean

clean:
	rm -rf *.o $(LINKS) cdtool

realclean: clean
	for i in $(SRCS); do \
	    if test -w $$i; then ci $$i; fi; \
	    if test -e $$i; then rm -f $$i; fi; \
	done

.DEFAULT:
	co $<

cdtool.1:
	co cdtool.1

# dependencies 
main.o: config.h
database.o: database.h
hardware.o: database.h hardware.h
info.o: database.h hardware.h
main.o: config.h

## cdtool 2.1.4

=== Makefile ===
#
# this makefile for cdtools, copyright 1994 thomas insel
# as updated to include ctctrl, 1997, Wade Hampton
#
# $Log: Makefile,v $
# Revision 1.6  1998/01/06 21:02:03  wadeh
# Revision 2.1.4
#
# Revision 1.5  1998/01/06 21:00:33  wadeh
# Added DoCr, changes to fix cdeject crash.
#
# Revision 1.4  1997/12/30 23:03:56  wadeh
# Added cdloop
#
# Revision 1.3  1997/12/30 23:01:49  wadeh
# Makefile for version beta 3.
#
# Revision 1.2  1997/12/24 15:39:10  wadeh
# Minor bug fixes:
# 1) Fixed cdctrl eject command causing a signal 11.
# 2) Fixed Makefile debug option to not strip symbols, can now debug.
# 3) Added command.h and more prototypes, more documentation.
# 4) Fixed read_hw to ralways return buffer, even on error.
#
#

# where do we install the binaries and unformatted manual pages?
BINDIR = /usr/local/bin
MANDIR = /usr/local/man

THISVER=cdtool-2.1.4

# SRCS are RCS'd files
SRCS = cdctrl.c main.c commands.c hardware.c database.c info.c cdtool.1 cdctrl.1

# OTHERS are other files that are required in a distribution package
OTHERS = Makefile cdadd.sh README INSTALL COPYING cdctrl.h info.h config.h database.h hardware.h main.h commands.h cdloop

# OBJS are used to build cdtool
OBJS  = main.o   commands.o hardware.o database.o info.o
OBJS1 = cdctrl.o commands.o hardware.o database.o info.o

# LINKS are different names that cdtool can be called by
LINKS = cdplay cdpause cdstop cdeject cdir cdinfo cdreset

# We seem to need GCC
CC = gcc $(DEBUG_FLAGS)

all::
	make clean
	make cdtool DEBUG_FLAGS="-O -s"
	make noobjs
	make cdctrl DEBUG_FLAGS="-O -s -DCDCTRL"
	make links

debug::
	make clean
	make cdtool DEBUG_FLAGS="-g -Wall -DDEBUG"
	make noobjs
	make cdctrl DEBUG_FLAGS="-g -Wall -DDEBUG -DCDCTRL"
	make links

debugscsi::
	make clean
	make cdtool DEBUG_FLAGS="-g -Wall -DDEBUG -DSCSI"
	make noobjs
	make cdctrl DEBUG_FLAGS="-g -Wall -DDEBUG -DSCSI -DCDCTRL"
	make links

scsi::
	make clean
	make cdtool DEBUG_FLAGS="-O -s -DSCSI"
	make noobjs
	make cdctrl DEBUG_FLAGS="-O -s -DSCSI -DCDCTRL"
	make links

dist: $(SRCS) $(OTHERS)
	(cd ..;tar zcvf $(THISVER).tar.gz \
	`for i in $(SRCS) $(OTHERS);do echo $(THISVER)/$$i ;done`)

cdtool: $(OBJS)
	$(CC) -o cdtool $(OBJS)

cdctrl: $(OBJS1)
	$(CC) -o cdctrl $(OBJS1)

cdadd: cdadd.sh
	sed s,@BINDIR@,$(BINDIR),g < $< > $@
	chmod a+x $@
	
links:
	@for i in $(LINKS); do \
	    if test -L $$i; then true; else rm -f $$i; ln -s cdtool $$i; fi; \
	done

install: cdtool cdtool.1 cdadd
	install -d $(BINDIR) -o root -m 0755
	install cdctrl $(BINDIR) -s -o bin
	install cdloop $(BINDIR) -s -o bin
	install cdtool $(BINDIR) -s -o bin
	install cdadd $(BINDIR)/cdadd -o bin
	install -d $(MANDIR)/man1 -o root -m 0755
	install cdtool.1 $(MANDIR)/man1
	install cdctrl.1 $(MANDIR)/man1
	for i in $(LINKS); do \
		if test -h $(BINDIR)/$$i; then true; else \
			rm -f $(BINDIR)/$$i; ln -s ./cdtool $(BINDIR)/$$i; \
		fi; \
		if test -h $(MANDIR)/man1/$$i.1; then true; else \
			rm -f $(MANDIR)/man1/$$i.1; \
			ln $(MANDIR)/man1/cdtool.1 $(MANDIR)/man1/$$i.1; \
		fi; \
	done

uninstall: dummy
	rm -f $(BINDIR)/cdloop 
	rm -f $(MANDIR)/man1/cdctrl.1 $(BINDIR)/cdctrl 
	rm -f $(MANDIR)/man1/cdtool.1 $(BINDIR)/cdtool $(BINDIR)/cdadd
	for i in $(LINKS); do \
		rm -f $(BINDIR)/$$i $(MANDIR)/man1/$$i.1; \
    done

dummy:

clean:
	rm -rf *.o *~ $(LINKS) cdtool cdadd cdctrl

noobjs:
	rm -rf *.o 	

always:

# dependencies 
cdctrl.o: cdctrl.h config.h commands.h info.h
main.o: config.h main.h commands.h
database.o: database.h 
hardware.o: database.h hardware.h 
info.o: database.h hardware.h main.h commands.h

## cdtool 2.1.5

=== Makefile ===
#
# this makefile for cdtools, copyright 1994 thomas insel
# as updated to include ctctrl, 1997, Wade Hampton
#
# $Log: Makefile,v $
# Revision 1.6  1998/01/06 21:02:03  wadeh
# Revision 2.1.4
#
# Revision 1.5  1998/01/06 21:00:33  wadeh
# Added DoCr, changes to fix cdeject crash.
#
# Revision 1.4  1997/12/30 23:03:56  wadeh
# Added cdloop
#
# Revision 1.3  1997/12/30 23:01:49  wadeh
# Makefile for version beta 3.
#
# Revision 1.2  1997/12/24 15:39:10  wadeh
# Minor bug fixes:
# 1) Fixed cdctrl eject command causing a signal 11.
# 2) Fixed Makefile debug option to not strip symbols, can now debug.
# 3) Added command.h and more prototypes, more documentation.
# 4) Fixed read_hw to always return buffer, even on error.
#
#

# Where do we install the binaries and unformatted manual pages?
# -- These are for installation in the local tree:
BINDIR = /usr/local/bin
MANDIR = /usr/local/man

# -- These are for installation in the system tree (e.g., with distributions).
#BINDIR = /usr/bin
#MANDIR = /usr/man

# The name and release of the package
THISVER=cdtool-2.1.5
THISREL=1
SOURCES=/usr/src/wh/SOURCES

# SRCS are RCS'd files
SRCS = cdctrl.c main.c commands.c hardware.c database.c info.c shuffle.c \
cdown.c cdtool.1 cdctrl.1 cdown.1

# OTHERS are other files that are required in a distribution package
OTHERS = Makefile cdadd.sh README INSTALL COPYING cdctrl.h info.h config.h \
	database.h hardware.h main.h commands.h shuffle.h cdloop cdadd \
	*lsm *.spec

# OBJS are used to build cdtool
OBJS  = main.o   commands.o hardware.o database.o info.o shuffle.o
OBJS1 = cdctrl.o commands.o hardware.o database.o info.o shuffle.o

# LINKS are different names that cdtool can be called by
# Uncomment out the first one to get "cdplay".
# Uncomment out the second one to get "cdstart"
# Note, the cdp package includes a program, /usr/bin/cdplay which
# would interfere with the usage here.
#
#LINKS = cdplay cdpause cdstop cdeject cdir cdinfo cdreset
LINKS = cdstart cdpause cdstop cdeject cdir cdinfo cdreset cdshuffle

# We seem to need GCC
CC = gcc $(DEBUG_FLAGS)

all::
	make clean
	make noobjs
	make cdown
	make cdadd
	make cdctrl DEBUG_FLAGS="-O -s -DCDCTRL"
	make noobjs
	make cdtool DEBUG_FLAGS="-O -s"
	make links

debug::
	make clean
	make noobjs
	make cdown  DEBUG_FLAGS="-g -Wall"
	make cdadd
	make cdctrl DEBUG_FLAGS="-g -Wall -DDEBUG -DCDCTRL"
	make noobjs
	make cdtool DEBUG_FLAGS="-g -Wall -DDEBUG"
	make links

debugscsi::
	make clean
	make noobjs
	make cdown  DEBUG_FLAGS="-g -Wall"
	make cdadd
	make cdctrl DEBUG_FLAGS="-g -Wall -DDEBUG -DSCSI -DCDCTRL"
	make noobjs
	make cdtool DEBUG_FLAGS="-g -Wall -DDEBUG -DSCSI"
	make links

scsi::
	make clean
	make noobjs
	make cdown
	make cdadd
	make cdctrl DEBUG_FLAGS="-O -s -DSCSI -DCDCTRL"
	make noobjs
	make cdtool DEBUG_FLAGS="-O -s -DSCSI"
	make links

dist: $(SRCS) $(OTHERS)
	(cd ..;tar zcvf $(THISVER).tar.gz \
	`for i in $(SRCS) $(OTHERS);do echo $(THISVER)/$$i ;done`)

rpm: $(SRCS) $(OTHERS)
	make dist
	(cd ..;cp $(THISVER).tar.gz $(SOURCES) )
	rpm -ba $(THISVER)-$(THISREL).spec

cdown:  cdown.c
	$(CC) -o cdown $(DEBUG_FLAGS) cdown.c

cdtool: $(OBJS)
	$(CC) -o cdtool $(OBJS)

cdctrl: $(OBJS1)
	$(CC) -o cdctrl $(OBJS1)

cdadd: cdadd.sh
	sed s,@BINDIR@,$(BINDIR),g < $< > $@
	chmod a+x $@
	
links:
	@for i in $(LINKS); do \
	    if test -L $$i; then true; else rm -f $$i; ln -s cdtool $$i; fi; \
	done

install: cdtool cdtool.1 cdadd
	install -d $(BINDIR) -o root -m 0755
	install cdctrl $(BINDIR) -s -o root
	install cdloop $(BINDIR)    -o root
	install cdtool $(BINDIR) -s -o root
	install cdadd  $(BINDIR)    -o root
	install cdown  $(BINDIR)    -o root
	install -d $(MANDIR)/man1 -o root -m 0755
	install cdown.1  $(MANDIR)/man1
	install cdtool.1 $(MANDIR)/man1
	install cdctrl.1 $(MANDIR)/man1
	for i in $(LINKS); do \
		if test -h $(BINDIR)/$$i; then true; else \
			rm -f $(BINDIR)/$$i; ln -s ./cdtool $(BINDIR)/$$i; \
		fi; \
		if test -h $(MANDIR)/man1/$$i.1; then true; else \
			rm -f $(MANDIR)/man1/$$i.1; \
			ln $(MANDIR)/man1/cdtool.1 $(MANDIR)/man1/$$i.1; \
		fi; \
	done

uninstall: dummy
	rm -f $(BINDIR)/cdadd
	rm -f $(BINDIR)/cdloop 
	rm -f $(MANDIR)/man1/cdown.1  $(BINDIR)/cdown 
	rm -f $(MANDIR)/man1/cdctrl.1 $(BINDIR)/cdctrl 
	rm -f $(MANDIR)/man1/cdtool.1 $(BINDIR)/cdtool $(BINDIR)/cdadd
	for i in $(LINKS); do \
		rm -f $(BINDIR)/$$i $(MANDIR)/man1/$$i.1; \
	    done
	rm -f $(BINDIR)/cdtool

dummy:

clean:
	rm -rf *.o *~ $(LINKS) cdtool cdadd cdctrl cdown

noobjs:
	rm -rf *.o 	

always:

# dependencies 
cdctrl.o: cdctrl.h config.h commands.h info.h
main.o: config.h main.h commands.h
database.o: database.h 
hardware.o: database.h hardware.h 
info.o: database.h hardware.h main.h commands.h

## cdtool 2.1.8-release

=== debian/changelog ===
cdtool (2.1.8-release-9) unstable; urgency=medium

  * Default to gnudb.gnudb.org. Closes: #990548.
  * Ensure function declarations are accurate. Closes: #1096422.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Sep 2025 08:23:46 +0200

cdtool (2.1.8-release-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Fix day-of-week for changelog entries 2.1.5-5.

  [ Stephen Kitt ]
  * Fix formatting issues highlighted by GCC.
  * Switch to debhelper compatibility level 13.
  * Add a watch file.
  * Switch to a machine-readable debian/copyright file.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Jan 2021 15:11:55 +0100

cdtool (2.1.8-release-7) unstable; urgency=medium

  * Set “Rules-Requires-Root: binary-targets” since the build assumes it
    can change ownership of files.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Jan 2019 20:45:45 +0100

cdtool (2.1.8-release-6) unstable; urgency=medium

  * Fix various issues in cdtool.1. Thanks to Bjarni Ingi Gislason for the
    patch. (Closes: #897208.)
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Jan 2019 16:49:49 +0100

cdtool (2.1.8-release-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.
  * Use dh_auto_configure to get the right “--host” option; this allows
    the package to be cross-built. Thanks to Helmut Grohne for patch.
    (Closes: #865676.)
  * Fix spelling errors flagged by Lintian.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Apr 2018 20:54:11 +0200

cdtool (2.1.8-release-4) unstable; urgency=medium

  * New maintainer. (Closes: #419334.)
  * Switch to dh 9.
  * Enable all hardening options.
  * Standards-Version 3.9.7, no further change required.
  * Add homepage.
  * Limit architectures to linux-any, cdtool doesn't build on non-Linux
    architectures.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Feb 2016 18:39:54 +0100

cdtool (2.1.8-release-3) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * debian/patches/02_deprecate_build_date.diff: New patch.
    Do not use the build date at all.
  * debian/patches/03_distclean_remove_makefile_and_config_dot_h.diff:
    New patch. Modify Makefile.in to remove Makefile and config.h.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 12:03:08 +0200

cdtool (2.1.8-release-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * 01_local_getline.diff - Rename local getline to local_getline.
    + Change simple-patch-sys to quilt patch system. (Closes: #552831).
  * Remove Homepage from package description as it's no longer valid.
  * Add ${misc:Depends} for debhelper package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 03 Nov 2009 14:40:37 -0500

cdtool (2.1.8-release-1) unstable; urgency=low

  * New upstream version
  * Update to standards version 3.7.2 (no changes)

 -- Max Vozeler <xam@debian.org>  Wed,  9 Aug 2006 10:33:58 +0200

cdtool (2.1.8-pre4-1) unstable; urgency=low

  * New upstream release
  - Fixes problems with some drives that return CDROM_AUDIO_INVALID
    and cdplay aborting with an error when no track range was given.

 -- Max Vozeler <xam@debian.org>  Wed,  9 Nov 2005 22:43:30 +0100

cdtool (2.1.8-pre3-1) unstable; urgency=low

  * New upstream release

 -- Max Vozeler <xam@debian.org>  Tue, 18 Oct 2005 18:33:44 +0200

cdtool (2.1.8-pre2-1) unstable; urgency=low

  * New upstream release
    - Includes all Debian changes
    - Includes cdtool2cddb, thanks Peter Samuelson. (Closes: #79306)
  * Rebuilt from scratch using CDBS

 -- Max Vozeler <xam@debian.org>  Mon,  3 Oct 2005 16:50:23 +0200

cdtool (2.1.5-15) unstable; urgency=low

  * Drop the debconf question about /dev/cdrom symlink; The symlink is
    created by udev or discover on new installations. Existing systems
    should have the symlink by now.
  * Bump standards version to 3.6.2 (no changes)

 -- Max Vozeler <xam@debian.org>  Thu,  4 Aug 2005 16:05:05 +0200

cdtool (2.1.5-14) unstable; urgency=low

  * New translation
    - Vietnamese, thanks Clytie Siddall. (Closes: #309622)

 -- Max Vozeler <xam@debian.org>  Thu, 19 May 2005 23:32:58 +0200

cdtool (2.1.5-13) unstable; urgency=low

  * Updated translations
    - Russian, typo fix (Closes: #299887)

 -- Max Vozeler <xam@debian.org>  Tue,  5 Apr 2005 23:14:03 +0200

cdtool (2.1.5-12) unstable; urgency=low

  * New translation
    - Russian, thanks Basil Shubin. (Closes: #299887)
  * Change maintainer's address
  * Fix cdtool and cdown man page .IP typos
    - Thanks Kevin Ryde. (Closes: #285385)

 -- Max Vozeler <xam@debian.org>  Fri, 18 Mar 2005 15:23:53 +0100

cdtool (2.1.5-11) unstable; urgency=medium

  * Include new upstream URL in the long description
  * Fix typo in cdown.1
    - Thanks Nicolas Francois
      (Closes: #274453)
  * Fix .TH in cdctrl.1
    - Thanks Graham Wilson
  * New translation
    - Brazilian, thanks Tiago Bortoletto Vaz.
      (Closes: #271335)

 -- Max Vozeler <max@hinterhof.net>  Thu,  7 Oct 2004 00:43:40 +0200

cdtool (2.1.5-10) unstable; urgency=medium

  * Applied patch to fix playing the last track. (Closes: #262661)
    Thanks Jakob Bratkovic.

 -- Max Vozeler <max@hinterhof.net>  Tue, 17 Aug 2004 11:30:20 +0200

cdtool (2.1.5-9) unstable; urgency=low

  * Check that the number of tracks from TOC header doesn't exceed 99.
    (Closes: #81703)
  * Remove unused file altcdloop.txt from the source package.
  * New translations


=== debian/control ===
Source: cdtool
Section: sound
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://hinterhof.net/cdtool/
Vcs-Browser: https://salsa.debian.org/debian/cdtool
Vcs-Git: https://salsa.debian.org/debian/cdtool.git
Rules-Requires-Root: binary-targets

Package: cdtool
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based audio CD player and CD-ROM control commands
 cdtool contains cdplay, cdeject, cdstop, cdpause, and several other
 programs for playing audio CDs and controlling a CD-ROM drive from
 the command line and in a quick and scriptable way.
 .
 cdown reads track info and queries a CDDB database for info on
 the current CD. cdctrl is a command line utility for controlling a
 CD-ROM drive interactively and from scripts. cdir keeps track of the
 contents of different CDs using a workman-compatible database.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib
